Subject: bug#4157: 23.1.50; faulty character characterisation for ä

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Oct 2019 14:20:22 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 10 Oct 2019 12:36:29 +0200
> Cc: Stefan Monnier <[email-masked]>, Peter Dyballa <[email-masked]>, 
> 	[email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > -rw-r--r--    1 skangas  staff      0 10 Okt 01:59 März
> > > drwxr-xr-x    3 skangas  staff     96 10 M?r  2017 foobar
> >
> > Please redirect the output to a file, and look at the file with
> > hexl-find-file.  What do you see in the place where there's a question
> > mark above?
> 
> This file is from March 2018:
> 
> >00000e30: 6865 656c 2020 2020 3730 3420 3234 204d  heel    704 24 M
> >00000e40: e472 2020 3230 3138 204f 6e42 6f61 7264  .r  2018 OnBoard
> >00000e50: 696e 6742 756e 646c 6573 0a64 7277 7872  ingBundles.drwxr

Like Andreas says, the dates are in Latin-9, but the file names are in
UTF-8 (probably utf-8-hfs).  Maybe we should on macOS override the
locale when we invoke 'ls'?

And I repeat my question: how about using ls-lisp.el on macOS by
default?